> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Eval Rubric

> Get eval rubric by ID.



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/eval_rubrics/{rubric_id}
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/eval_rubrics/{rubric_id}:
    get:
      tags:
        - eval_rubrics
      summary: Get Eval Rubric
      description: Get eval rubric by ID.
      operationId: get_eval_rubric_api_v1_eval_rubrics__rubric_id__get
      parameters:
        - name: rubric_id
          in: path
          required: true
          schema:
            type: integer
            title: Rubric Id
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvalRubricResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    EvalRubricResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        eval_definition:
          additionalProperties: true
          type: object
          title: Eval Definition
        source:
          type: string
          title: Source
        source_processor_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Processor Id
        archived:
          type: boolean
          title: Archived
        version:
          type: integer
          title: Version
        version_history:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Version History
        created:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created
        updated:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated
      type: object
      required:
        - id
        - name
        - description
        - eval_definition
        - source
        - source_processor_id
        - archived
        - version
        - created
        - updated
      title: EvalRubricResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````